%define version	2.7.5
%define betaver 0
%define rel 2

%if %betaver
%define release %mkrel -c %betaver %rel
%define tarballver %version.%betaver
%else
%define release %mkrel %rel
%define tarballver %version
%endif

%define libname %mklibname %{name} 1

Summary:	An input method server for traditional Chinese
Name:		gcin
Version:	%{version}
Release:	%{release}
License:	LGPLv2.1
URL: 		http://hyperrate.com/dir.php?eid=67
Group:		System/Internationalization
Source0:	http://www.csie.nctu.edu.tw/~cp76/gcin/download/%{name}-%{tarballver}.tar.xz
BuildRequires:	gtk+2-devel
BuildRequires:	gtk+3-devel
BuildRequires:	qt4-devel
BuildRequires:	anthy-devel
BuildRequires:	libchewing-devel
Suggests:	%{name}-gtk2 = %{version}-%{release}
Suggests:	%{name}-gtk3 = %{version}-%{release}
Requires:	locales-zh
# ease upgrade
Conflicts:	%{libname} < 1.3.5-0.pre7
Obsoletes: 	%{_lib}gcin1 < 2.7.3-2	

%description
gcin is a Chinese input method server for traditional Chinese. 
It features a better GTK user interface.


%package	gtk2
Summary:	gtk2 immodule for gcin
Group:		System/Internationalization
Requires:	%name = %{version}-%{release}
Requires(post):	gtk+2.0
Requires(postun): gtk+2.0
Conflicts:	gcin < 2.7.3-2

%description	gtk2
This is the gtk2 immodule support for gcin.

%package	gtk3
Summary:	gtk3 immodule for gcin
Group:		System/Internationalization
Requires:	%name = %{version}-%{release}
Requires(post):	gtk+3.0
Requires(postun): gtk+3.0

%description	gtk3
This is the gtk3 immodule support for gcin.

%package        qt4
Summary:        Qt4 immodule for gcin
Group:          System/Internationalization
Requires:       %name = %{version}-%{release}

%description    qt4
This is the qt4 immodule support for gcin.

%prep
%setup -q -n %{name}-%{tarballver}

%build
%define _disable_ld_no_undefined 1
%configure2_5x
# (tv) disable parallel build (broken):
make OPTFLAGS="%{optflags} -fPIC" EXTRA_LDFLAGS="%{?ldflags}" CC="gcc %{?ldflags}" CCLD="gcc %{?ldflags}"

%install
rm -rf %{buildroot}
# fix installing in proper path on x86_64:
%makeinstall_std libdir=%buildroot%_libdir
rm -fr %buildroot%_docdir/
rm -fr %buildroot%_libdir/menu/

# remove unneeded files
rm -rf %{buildroot}/%{_includedir}

%{find_lang} %{name}

%clean
rm -rf %{buildroot}

%post gtk2
# install gtk IM module
gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules.%_lib

%postun gtk2
gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules.%_lib

%post gtk3
gtk-query-immodules-3.0-%{__isa_bits} --update-cache

%postun gtk3
gtk-query-immodules-3.0-%{__isa_bits} --update-cache

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING Changelog.html README*
%{_bindir}/*
%{_datadir}/applications/gcin-tools.desktop
%{_datadir}/gcin
%{_iconsdir}/*
%{_libdir}/gcin/*

%files gtk2
%defattr(-,root,root)
%{_libdir}/gtk-2.0/immodules/*.so

%files gtk3
%defattr(-,root,root)
%{_libdir}/gtk-3.0/immodules/*.so

%files qt4
%defattr(-,root,root)
%{qt4plugins}/inputmethods/*.so



%changelog

* Wed Apr 18 2012 yochenhsieh <yochenhsieh> 2.7.5-2.mga2
+ Revision: 231296
- Remove Suggests on qt4 immodule, let localedrake to handle it.

* Mon Mar 05 2012 yochenhsieh <yochenhsieh> 2.7.5-1.mga2
+ Revision: 218367
- New Version 2.7.5
- New version 2.7.4

* Thu Feb 16 2012 yochenhsieh <yochenhsieh> 2.7.3-2.mga2
+ Revision: 209707
- Add Requires(post) & Requires(postun) for gtk2 & gtk3 im modules
- Modify Obsoletes & add Conflicts for gtk2 immodule
- Update License (LGPLv2.1)
- Builds gtk2 im module package
  Combine lib files into main package, don't build libgcin
- Suggests gtk2 & gtk3 im modules install by default

* Mon Feb 13 2012 yochenhsieh <yochenhsieh> 2.7.3-1.mga2
+ Revision: 208323
- New version 2.7.3
- New version 2.7.2
- Add libchewing support

* Thu Jan 19 2012 yochenhsieh <yochenhsieh> 2.7.1-2.mga2
+ Revision: 198018
- clean up old patches
- new version 2.7.1

* Wed Jul 13 2011 fwang <fwang> 1.6.4-1.mga2
+ Revision: 123588
- new version 1.6.4

* Wed May 04 2011 fwang <fwang> 1.6.2-1.mga1
+ Revision: 94694
- buildroot not needed
- new version 1.6.2 (synched with mandriva)

  + ennael <ennael>
    - new release, many bug fixes
      remove buildroot

* Wed Mar 23 2011 steletch <steletch> 1.5.6-1.mga1
+ Revision: 75967
- imported package gcin

